/**
 * 头像数据模型
 *
 */
import { z } from "zod";

import { stringOrEmpty } from "../nullable-defaults";

export const AvatarDataSchema = z
  .object({
    avatarUrl: stringOrEmpty,
    userId: stringOrEmpty,
  })
  .readonly();

export type AvatarDataInput = z.input<typeof AvatarDataSchema>;
export type AvatarDataData = z.output<typeof AvatarDataSchema>;

export type AvatarData = AvatarDataData;
